{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}
{% block content %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,300i,400,400i,600,600i,700,700i" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <style>
        .table-hide{
            display: none;
        }
        *{
          margin: 0;
          padding: 0;
          box-sizing: border-box;
          font-family: 'Source Sans Pro', sans-serif;
        }
        .col-order-detail{
          padding: 25px 0;
          overflow: auto;
        }
        .col-order-detail h1{
          font-size: 35px;
          text-transform: uppercase;
          font-weight: 600;
          line-height: 1.2;
          margin: 0 0 0px 0;
          letter-spacing: 1px;
          float: left;
        }
        .col-pdf{
            float: right;
                padding: 10px 0;
        }
        .col-pdf button{
          line-height: 1.45;
          background-color: #ffc107a1;
          border-color: #ff9800e0;

        }
        .col-pdf button:hover{
          background-color: #f3ce5d;
        border-color: #c97803;
        }
          .col-pdf button a:hover{
            text-decoration: none;
          }
        .col-main-detail{
          padding: 15px;
          /* background: #fff;
          box-shadow: 1px 1px 5px #c3a444b5; */
          background: #fff;
        box-shadow: 0px 0px 5px #929090b5;
        }
        .col-order-user{
          overflow: auto;
          margin-bottom: 20px;
        }
        .col-user-image{
          float: left;
        }
        .col-user-image img{
          width: 100px;
          height: 100px;
          border: 4px solid #c97904;
          border-radius: 4px;
        }
        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .brand-table thead tr, tbody tr:nth-child(2n) {
          background: #dd4b394f;
        }
        .table-bordered {
        border: 1px solid #c97803;
        margin-bottom: 0px;
        }
        .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
            border: 1px solid #c97803;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .col-main-detail h3{
          margin: 0 0 5px 0;
        line-height: 1.45;
        font-size: 21px;
        font-weight: 600;
        text-transform: capitalize;
        text-decoration: underline;
        letter-spacing: 1px;
        }
        .col-order-status{
          background: #f4f4f4;
            min-height: 100;
            height: 273px;
        }
        .allowance-table.table-c-detail thead tr, .allowance-table.table-c-detail tbody tr:nth-child(2n) {
            background: #03a9f470;
        }
        .allowance-table.table-c-detail.col-color thead tr, .allowance-table.table-c-detail.col-color tbody tr:nth-child(2n){
          background: #dff0d8;
        }
    </style>
    <form method="POST" action="javascript:void(0);">
        <div class="content-wrapper">
            <div class="container-fluid">
                <div class="col-order-detail">
                    <h1>order #{{order_id}}{% if dms_number %}, DMS #{{dms_number}}{% endif %}</h1>
                    <div class="col-pdf">
                        <!--<button type="button" class="btn btn-default">-->
                            <!--<i class="fa fa-file-pdf-o" aria-hidden="true" style="color: red"></i>-->
                            <!--<b style="color: #424242"> PDF</b>-->
                        <!--</button>-->
                        <!--<button type="button" class="btn btn-default">-->
                            <!--<span class="glyphicon glyphicon-home"></span>-->
                            <!--<b style="color: #424242"> Back</b>-->
                        <!--</button>-->
                    </div>
                </div>
                <div class="col-main-detail">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="col-order-user">
                                <div class="col-user-image">
                                    <img src="{% static 'img/default_user.jpg' %}">
                                </div>
                                <address class="col-cust-add">
                                    <h2>
                                        <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}
                                        </a>
                                    </h2>
                                    {{dealer.company_address|default:"--"}}</br>
                                    Email: {{dealer.email|default:"--"}}<br>
                                    Mobile: {{dealer.primary_contact|default:"--"}}
                                </address>
                                <address class="col-cust-add col-business-add">
                                    <span>Credit days: {{dbm.credit_days|default:"0"}}</span>
                                    <span style="background-color: #00c0ef;border-color: #00acd6;">
                                        Credit Limit: ₹ {{dbm.max_outstanding_threshold|floatformat:2|intcomma}}
                                    </span>
                                    <span style="background-color: #dd4b39;    border-color: #d73925;">Min order: ₹ {{dbm.min_order_amount|floatformat:2|intcomma}}</span><br>
                                    <!--{% if outstanding_flag == True %}-->
                                        <!--<span style="background-color: #00a65a;border-color: #008d4c;">-->
                                            <!--Outstanding: ₹ {{outstanding|floatformat:2|intcomma}}-->
                                        <!--</span>-->
                                    <!--{% endif %}-->
                                    <span>GST: {{dealer.gst_no|default:"--"}}</span>
                                    <span>PAN: {{dealer.pan_no|default:"--"}}</span>
                                </address>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 col-sm-4 col-md-4">
                            <div class="col-order-status" style="text-align: center;">
                                <img src="{% static 'img/' %}{{status_image}}.png" class="status-image" style="margin: 4% auto;">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail col-color">
                                        <thead>
                                            <tr>
                                                <th>Date</th>
                                                <th>{{status_detail.head_name}}</th>
                                                <th>{{status_detail.head_number}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr style="height: 95px;">
                                                <td>{{status_detail.date|date|default:"---"}}</td>
                                                <td>{{status_detail.name|default:"---"}}</td>
                                                <td>{{status_detail.number|default:"---"}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-8 col-md-8">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped allowance-table">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Order details - Before SR Scheme</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>DP</td>
                                            <td style="text-align:right;">₹ {{totaldp|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>Net After Allowance(including GST)</td>
                                            <td style="text-align:right;">₹ {{totalafterallowance|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>Pre GST Cost</td>
                                            <td style="text-align:right;">₹ {{totalpregst|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                CGST
                                            </td>
                                            <td style="text-align:right;">₹ {{totalcgst|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>SGST</td>
                                            <td style="text-align:right;">₹ {{totalsgst|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>Invoice Value</td>
                                            <td class="success" style="text-align:right;">₹ {{totalbill|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    {% if cc_status == True %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 for-sr-only">
                                <div class="table-responsive">
                                    <h3> Applied Schemes - by ({{total.sr_name}}, {{total.sr_contact}})</h3>
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <thead>
                                            <tr>
                                                <th>SKU Code</th>
                                                <th>QTY.</th>
                                                <th>DP per unit</th>
                                                <th>Allowance</th>
                                                <th title="dp - allowance">Value after allowance including tax</th>
                                                <th>TieUp</th>
                                                <th>Sell through</th>
                                                <th title="pregst - (tieup + sell through)">Final value</th>
                                                <th title="final value * quantity">Total Value</th>
                                                <!--<th>BBP</th>-->
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for item in details %}
                                                <tr>
                                                    <td>{{item.skucode}}</td>
                                                    <td>{{item.quantity}}</td>
                                                    <td style="text-align:right;">₹ {{item.dp|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.allowance_value|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.total_pre|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.tieup_value|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.sell_through_value|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.total_pre_gst|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.final_total|floatformat:2|intcomma}}</td>
                                                    <!--<td style="text-align:right;">₹ {{item.bbp|floatformat:2|intcomma}}</td>-->
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% endif %}

                    <div class="row">
                        {% if cc_status %}
                            <div class="col-xs-12 col-sm-5 col-md-5">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail col-color" style="    height: 186px;">
                                        <thead>
                                            <tr>
                                                 <th colspan="3">
                                                    Credit Notes-Tieup and SellThrough
                                                 </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for item in credit_notes.tieup %}
                                                <tr>
                                                    <td colspan="2" style="text-align: right;">
                                                        ₹ {{item.applyed_discount_amount|floatformat:2|intcomma}}
                                                    </td>
                                                    <td>Applied on {{item.tieup_date|date|default:"---"}}</td>
                                                </tr>
                                            {% endfor %}

                                            {% for sell in credit_notes.sell_through %}
                                                <tr>
                                                    <td colspan="2" style="text-align: right;">
                                                        ₹ {{sell.total_sell_amount|floatformat:2}}
                                                    </td>
                                                    <td>Applied on {{sell.sell_through_date|date}}</td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td colspan="2" style="text-align:right;">
                                                    Total: ₹ {{credit_notes.grand_total|floatformat:2|intcomma}}
                                                </td>
                                                <td></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        {% else %}
                            <div class="col-xs-12 col-sm-5 col-md-5"></div>
                        {% endif %}

                        <div class="col-xs-12 col-sm-7 col-md-7">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped allowance-table table-c-detail">
                                    <thead>
                                        <tr>
                                            <th>Order details - After SR Scheme</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Invoice value</td>
                                            <td id="dp" style="text-align:right;">₹ {{total.sr_total|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td>Less Total TieUp</td>
                                            <td id="gst" style="text-align:right;">₹ {{total.less_tieup|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td>Less Total sell through</td>
                                            <td id="pre" style="text-align:right;">₹ {{total.less_sell|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td title="total bill - (tieup + sell through)">Net bill value</td>
                                            <td id="cgst" style="text-align:right;">₹ {{total.net_bill|floatformat:2|intcomma}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    {% if history %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <h3>Order Log (DMS Ordernumber: {{dms_number}})</h3>
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <tbody>
                                            {% for item in orderHistory %}
                                                <tr>
                                                    <td>
                                                        {% if item.order_status == 'Processing' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            process order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'SchemeApplied' %}
                                                            SR <b>{{total.sr_name|default:"---"}}</b>
                                                            proceed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) and applied all Sell Through
                                                            and Tieup and send it to Dealer
                                                            <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a> for confirmation on {{item.created_on}}

                                                        {% elif item.order_status == 'OrderPlaced' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            placed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'InWarehouse' %}
                                                            Warehouse Admin reviewed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}
                                                            and send it to &lt;{{warehouse}}&gt;
                                                            &lt;{{manager}}&gt;

                                                        {% elif item.order_status == 'Dispatched' %}
                                                            Warehouse User
                                                        <b>{{status_detail.name|default:"---"}}</b>
                                                            dispatched order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>)
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Deleted' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) canceled by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Reject' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) rejected by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'OnHold' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on hold <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Delivered' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) delivered by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'PartialDispatched' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) partial dispatched by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}
                                                        {% endif %}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){

            $('body').addClass('sidebar-collapse');
            $('ul.sidebar-menu').css('display', 'none');

            $('.sidebar-toggle').click(function(){
                $('ul.sidebar-menu').css('display', 'block');
            })

            $('.content-header').remove();
        });
    </script>
{% endblock %}